package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

public class WxEnterpriseQwDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private int wxSecurityType;
    private String wxEnterpriseId;
    // 好办 助手
    private String dkCorpid;
    private String dkSuiteId;
    // 会员小程序dk
    private String memberCorpid;
    private String memberSuiteId;
    // 第三方
    private String thirdCorpid;
    // 明文的corpid
    private String selfCorpid ;
    
    // 第三方使用的加密的userid
    public boolean needOpenUserId3th() {
        return this.wxSecurityType == 2 || this.wxSecurityType == 3;
    }
    
    public boolean needOpenUserIdDk() {
        return this.wxSecurityType == 2 || this.wxSecurityType == 4 ;
    }
    
    public String getSelfCorpid() {
        return selfCorpid;
    }

    public void setSelfCorpid(String selfCorpid) {
        this.selfCorpid = selfCorpid;
    }
    public String getDkSuiteId() {
        return dkSuiteId;
    }

    public String getMemberSuiteId() {
        return memberSuiteId;
    }

    public void setDkSuiteId(String dkSuiteId) {
        this.dkSuiteId = dkSuiteId;
    }

    public void setMemberSuiteId(String memberSuiteId) {
        this.memberSuiteId = memberSuiteId;
    }

    public int getWxSecurityType() {
        return wxSecurityType;
    }

    public void setWxSecurityType(int wxSecurityType) {
        this.wxSecurityType = wxSecurityType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getDkCorpid() {
        return dkCorpid;
    }

    public String getMemberCorpid() {
        return memberCorpid;
    }

    public String getThirdCorpid() {
        return thirdCorpid;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setDkCorpid(String dkCorpid) {
        this.dkCorpid = dkCorpid;
    }

    public void setMemberCorpid(String memberCorpid) {
        this.memberCorpid = memberCorpid;
    }

    public void setThirdCorpid(String thirdCorpid) {
        this.thirdCorpid = thirdCorpid;
    }
}
