import com.gic.haoban.manage.api.dto.qdto.hm.HmQrcodeQDTO;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.haoban.manage.api.service.fee.HaobanQywxFeeApiService;
import com.gic.haoban.manage.api.service.hm.HmQrcodeApiService;
import com.gic.haoban.manage.service.config.Config;
import com.gic.wechat.api.service.qywx.QywxDepartmentApiService;
import com.gic.wechat.api.service.qywx.QywxSuiteApiService;
import com.gic.wechat.api.service.qywx.QywxUserApiService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Collections;

//import com.github.binarywang.java.emoji.EmojiConverter;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class ServiceTest {
    @Autowired
    private WxEnterpriseRelatedApiService wxEnterpriseRelatedApiService;

    @Autowired
    private QywxUserApiService qywxUserApiService;

    @Autowired
    private QywxDepartmentApiService qywxDepartmentApiService;

    @Autowired
    private QywxSuiteApiService qywxSuiteApiService;

    @Autowired
    private StaffApiService staffApiService;

    @Autowired
    private HmQrcodeApiService hmQrcodeApiService;
    @Autowired
    private HaobanQywxFeeApiService haobanQywxFeeApiService;
    @Autowired
    private Config config;


    @Test
    public void test() {
        HmQrcodeQDTO hmQrcodeQDTO = new HmQrcodeQDTO();
        hmQrcodeQDTO.setHmType(1);
        hmQrcodeQDTO.setWxEnterpriseId("ca66a01b79474c40b3e7c7f93daf1a3b");
        hmQrcodeQDTO.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
        hmQrcodeQDTO.setName("徐高华");
        hmQrcodeQDTO.setPassFlag(1);
        hmQrcodeQDTO.setStoreId("ff8080816ad96137016ad97c87580000");
        hmQrcodeQDTO.setClerkIdList(Collections.singletonList("ff1307040a7748699cf3109615fb24d7"));
        hmQrcodeApiService.add(hmQrcodeQDTO);
    }



    @Test
    public void test2() {
        hmQrcodeApiService.checkStaffOpenContactByWxEnterpriseId("5bd929fd3b2c49deaa1184bcb0d669b3","ff8080815dacd3a2015dacd3ef5c0000");
    }

    @Test
    public void test3() {
        haobanQywxFeeApiService.addFee("5bd929fd3b2c49deaa1184bcb0d669b3");
    }

    @Test
    public void test4() {
        String autoActiveStatus = qywxUserApiService.getAutoActiveStatus("wp59NLDQAAJL6DsM6YwOGqJlhCBykkeA", config.getCorpid());
        System.out.println(autoActiveStatus);
    }
}
