package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabSecretSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SecretSettingMapper {
    /**
     */
    int deleteByPrimaryKey(String secretId);

    /**
     */
    int insert(TabSecretSetting record);

    /**
     */
    int insertSelective(TabSecretSetting record);

    /**
     */
    TabSecretSetting selectByPrimaryKey(String secretId);

    /**
     */
    int updateByPrimaryKeySelective(TabSecretSetting record);

    /**
     */
    int updateByPrimaryKey(TabSecretSetting record);

    /**
     * 获取企业secret配置信息
     * @param wxEnterpriseId
     * @return
     */
    List<TabSecretSetting> listSecretSetting(@Param("wxEnterpriseId") String wxEnterpriseId);

    /**
     * 获取配置
     * @param wxEnterpriseId
     * @param secretType
     * @param enterpriseId
     * @return
     */
    TabSecretSetting getSecretSetting(@Param("wxEnterpriseId") String wxEnterpriseId,
                                      @Param("secretType") int secretType,
                                      @Param("enterpriseId") String enterpriseId);

}